Subject: Fwd: IETF areas re-organisation steps

From: Jari Arkko <[email-masked]>
Date: Thu, 25 Dec 2014 21:23:20 +0200

FYI. We would love to get feedback from you working group chairs on this.
Thoughts?

Jari 

Begin forwarded message:

> From: Jari Arkko <[email-masked]>
> Subject: IETF areas re-organisation steps
> Date: 25 Dec 2014 21:16:26 GMT+2
> To: IETF Announcement List <[email-masked]>
> Cc: IETF-Discussion list <[email-masked]>
> Reply-To: IETF-Discussion list <[email-masked]>
> 
> Dear Community:
> 
> In October, we let you know that we would be coming up with some proposals
> and consulting with you on the topic of re-organizing the IESG and the IETF 
> areas with the intent to increase flexibility as IETF work evolves, to ensure that
> all IETF work is covered by an AD, and to balance and reduce the workload
> across the ADs [1]. We committed to developing a re-organization proposal by
> May 2015 (thus including ADs that will be newly seated in March 2015). We
> have taken several steps since then toward that goal: we recommended that the
> nomcom not to fill the APP AD vacancy in the current nomcom cycle [2], and we
> are taking steps to redistribute workload in order to allow for more resources
> to be focused on YANG model coordination [3].
> 
> This message provides an outline of further steps we propose to take in 2015
> as part of the re-organization and invites community feedback on those steps.
> Step I below is already in progress. Step II in particular requires timely
> action, and therefore we are requesting community feedback by January 15,
> 2015 on that step in particular and on the overall proposal.
> 
> None of the steps below should be viewed as permanent or overly constraining
> how the IESG and the areas might be organized in future years. In general we’d
> like to increase the ability for the IESG to be flexible going forward. We are
> suggesting the steps below as measures to experiment with as a means to
> determine their effectiveness. The IESG intends to continue to re-evaluate all
> of the steps on a regular basis.
> 
> 
> PRINCIPLES
> 
> The IESG believes the re-organization should proceed according to the
> following principles:
> 
> 1) Agility: The IESG should be able to adapt as Internet engineering evolves.
> When work focus shifts and new technologies emerge, it is critical that the
> the IESG can follow the shift and effectively manage the new work.
> 
> 2) Relevance: The organization of the technical work must facilitate the
> IETF's continued relevance to the industry. As we change how we develop
> technology throughout the Internet, the IETF must be able to change how our
> standards development works with the technology development.
> 
> 3) Flexibility: The organization of the IESG and of the technical areas should
> accommodate variations in workloads, time commitments, and AD skillsets, as
> well as changes in those over time. It is important to make it possible for
> more IETF participants to be able to serve as Area Directors and to make the
> work co-exist with their normal jobs.
> 
> 4) Sustainability: The Area Director role should be a position that
> accomplished engineers aspire to and that employers want to support. We should
> emphasize the "steering" and "director" aspects, supporting and guiding the
> technical work in the working groups.
> 
> 
> THREE STEPS
> 
> We suggest taking the three steps described below to fulfill these principles.
> 
> 
> I.  FURTHER SHIFTING OF WG RESPONSIBILITY TO OUT-OF-AREA ADS
> 
> The ability to react to changes in the industry, for example the IESG YANG
> Model Work Redistribution [3], requires flexibility within the IETF leadership
> positions. There are numerous instances where the constituency of a WG exists
> in a particular IETF area, but the most appropriate AD for that work happens
> to be in a different area, or where the ADs in the area are simply overloaded
> and an AD outside of the area is perfectly capable of managing the work. To
> address these possibilities, the IESG is moving towards a model where a WG can
> exist in one area, but its shepherding AD comes from another area. This
> flexibility will allow the IESG to apply its skills where they can be of most
> use while still keeping related WGs together within an area. The IESG proposes
> to experiment with this approach initially by shifting to out-of-area ADs for
> RADEXT, DIME, LMAP, and ANIMA, perhaps with another few WGs to follow.
> 
> In order to achieve the above, there is some tools development work needed.
> Many components of the IETF tool set (e.g., the datatracker) make assumptions
> about WG/AD relationships based on the WG's assigned area. That issue is
> currently being worked on by the tools team, but will take a few months' time.
> During this intermediate period (prior to the tools work completing), the
> cross-area shepherding effort will be done informally by the IESG. This
> informal approach will address:
> 
> a. Shepherding AD - Each WG will still have an AD assigned to it from its
> area, referred to as the Home Area AD. The actual shepherding AD will be
> temporarily listed as the Technical Advisor. The shepherding AD will be in
> charge of all WG management issues. The IESG will develop a way to explicitly
> indicate the shepherding AD on the WG's charter page.
> 
> b. E-mail aliases - WG chairs and participants who wish to reach the ADs for a
> WG via the <foo>-ads tools aliases should explicitly include the AD listed as
> Technical Advisor for the WG.
> 
> c. Document shepherding - When a WG chair submits a publication request, that
> request will flow to the Home Area AD. The Home Area AD should then delegate
> shepherding responsibilities to the shepherding AD for handling.
> 
> d. Appeals - IETF participants should be directed to send any appeals related
> to the WG to the shepherding AD rather than the Home Area AD.
> 
> 
> II.  ADDING A THIRD RTG AD
> 
> The IESG is considering requesting that the currently seated nomcom select an
> additional routing AD, such that two new routing ADs, rather than one, would
> be seated for two-year terms in spring 2015. The reasoning behind this request
> is that the load in the RTG area is currently unsustainably high. The
> placement of a third AD will have the effect of spreading that load such that
> the time requirement may now be more consistent with the work loads of ADs in
> other areas. The total number of ADs on the IESG would not change if the APP
> seat remains vacant.
> 
> This request is further justified by the considerable increase in
> management-related work in the RTG area. Specifically, there are a lot of new
> YANG models being written. Although the coordination of YANG across the IETF
> falls as the responsibility of the OPS ADs (specifically the Management AD) it
> is expected that the RTG ADs will need to work on an increasing number of YANG
> documents as well.
> 
> If an additional RTG AD were to be seated, the IESG would propose to move
> three working groups from the INT area to the RTG area to balance AD loads:
> L2TPEXT, LISP, and TRILL.
> 
> As with all of the proposed organizational changes, the IESG would expect to
> re-evaluate the need for this third RTG AD in future years and balance that
> need against the need to have other skill sets or more generalist roles
> represented on the IESG.
> 
> Work is underway to create support for this model in our process documentation:
> http://tools.ietf.org/html/draft-dawkins-iesg-one-or-more-04.
> 
> 
> III.  MERGING OF UPPER LAYER PROTOCOL AREAS
> 
> As previously noted [1], a significant amount of the work that is going on in
> the APP area pertains to the web protocols, but that has a good deal of
> crossover with work in RAI. There is also some crossover work between the APP
> and TSV areas. To accommodate these overlaps and provide better WG management
> across these three areas, the IESG is proposing to merge the APP, RAI, and TSV
> areas into one combined Network Applications (NAPP) area. From March
> 2015-March 2016, this combined area would be overseen by the five remaining
> ADs from APP, RAI, and TSV, with some redistribution of WG shepherding
> responsibilities among them to balance workloads. DISPATCH, TSVWG, and APPSAWG
> would continue to function much as they currently do.
> 
> The NAPP ADs would continue to encourage progress towards closure of the many
> WGs in the area that are close to completing their chartered work. As such,
> the IESG would expect to request in the 2015-16 nomcom cycle a reduction in
> NAPP AD headcount, yielding four seated NAPP ADs starting in March 2016. If
> possible, we could reduce down to 4 NAPP ADs prior to that time and re-assign
> the fifth AD’s duties to further help balance IESG load.
> 
> Jari Arkko for the IESG
> 
> 
> REFERENCES
> 
> [1] http://www.ietf.org/mail-archive/web/ietf-announce/current/msg13314.html 
> [2] http://www.ietf.org/mail-archive/web/ietf-announce/current/msg13364.html 
> [3] http://www.ietf.org/mail-archive/web/ietf-announce/current/msg13576.html

---

From: Yoav Nir <[email-masked]>
Date: Thu, 25 Dec 2014 21:36:06 +0200

> On Dec 25, 2014, at 9:23 PM, Jari Arkko <[email-masked]> wrote:
> 

Hi, Jari

I have to admit to being confused by the suggestion of out-of-area ADs. The reason I’m confused is that I do not know what it means that a working group belongs to a particular area, other than the assigned AD.

In what way is http-auth part of the “security area” except in that Kathleen is our AD? In other words, if the AD for anima is not one of the OPS ADs, what is its connection to the OPS area?  I fail to see the significance of the “constituency” in a particular area, because at no point was I turned away from a meeting or a mailing list of any working group for being part of “another area’s constituency”. 

Yoav

---

From: Jari Arkko <[email-masked]>
Date: Fri, 26 Dec 2014 14:50:20 +0200

Yoav,

> I have to admit to being confused by the suggestion of out-of-area ADs. The reason I’m confused is that I do not know what it means that a working group belongs to a particular area, other than the…

Good question.

Being a part of an area can mean many things:

- managed by an AD from the area
- categorised as belonging to a particular branch of technology
- listed as belonging to the area in the agenda
- scheduled so as to avoid too many conflicts within the area
- …

We’re relaxing the first item, but the others remain. Of course, everybody has always been following exactly the topics they are interested in or have business reasons to follow; at least for me this has usually meant following topics from multiple areas. Still, we think it is useful to designate working groups to be related to, say, operations, routing, or security. In many ways the management matters (and should matter) less. For instance, while AAA topics are traditionally operational topics in the IETF and belong to the OPS area, there are several ADs who know something about AAA technology, and if we wanted to assign a related working group to another AD, that should be fine.

Jari

---

From: Derek Atkins <[email-masked]>
Date: Fri, 26 Dec 2014 09:09:00 -0500

Jari Arkko <[email-masked]> writes:

> Yoav,
>
>> I have to admit to being confused by the suggestion of out-of-area
> ADs. The reason I’m confused is that I do not know what it means that
> a working group belongs to a particular area, other than the assigned
> AD.
>
> Good question.
>

I would suggest that these days single categorization is often getting
harder and harder.  We seem to have many more WGs that cross the
boundaries between areas.  For example, OAUTH and HTTPAUTH cross APP
and SEC, DANE crosses APP, SEC, and INT.

Pigeonholing these groups is a detriment to getting good work done;
instead we need to find a better way to get true cross-polination.

> We’re relaxing the first item, but the others remain. Of course,
> everybody has always been following exactly the topics they are
> interested in or have business reasons to follow; at least for me this
> has usually meant following topics from multiple areas. Still, we
> think it is useful to designate working groups to be related to, say,
> operations, routing, or security. In many ways the management matters
> (and should matter) less. For instance, while AAA topics are
> traditionally operational topics in the IETF and belong to the OPS
> area, there are several ADs who know something about AAA technology,
> and if we wanted to assign a related working group to another AD, that
> should be fine.
>
> Jari

-derek

-- 
       Derek Atkins                 617-623-3745
       [email-masked]             www.ihtfp.com
       Computer and Internet Security Consultant

---

From: Kathleen Moriarty <[email-masked]>
Date: Fri, 26 Dec 2014 09:39:45 -0500

Hello,

Those are good points that we've been discussing as well...

Sent from my iPhone

> On Dec 26, 2014, at 9:09 AM, Derek Atkins <[email-masked]> wrote:
> 

It's helpful for new attendees to be able to look at an area or work in a directorate (IoT) to figure out what they should pay attention to or attend.  Being able to see that a WG fits into multiple areas would be more helpful in that situation.  You're both right in that this is nothing new.  We've had groups that switch what area they are in by the AD when they fit into multiple areas, most commonly when it transitions from a BoF to a WG, ACE is a recent example.

A change to see a group in multiple areas or as part of a directorate is a tools issue and we've already been crossing areas with ADs to drive work (increase attendance from another area) or as needed with AD load and experience with particular technologies.

Best regards,
Kathleen

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Fri, 26 Dec 2014 21:45:46 +0000

Hi Jari, 

With respect to expanding the Routing Area AD coverage and moving TRILL,
LISP, and L2TPEXT, I¹m in full support.

Thanks,
Acee 

On 12/25/14, 2:23 PM, "Jari Arkko" <[email-masked]> wrote:

>> how the IESG and the areas might be organized in future years. In
>>general we¹d
>> the fifth AD¹s duties to further help balance IESG load.
>> 
>> Jari Arkko for the IESG
>> 
>> 
>> REFERENCES
>> 
>> [1] 
>>http://www.ietf.org/mail-archive/web/ietf-announce/current/msg13314.html
>> [2] 
>>http://www.ietf.org/mail-archive/web/ietf-announce/current/msg13364.html
>> [3] 
>>http://www.ietf.org/mail-archive/web/ietf-announce/current/msg13576.html
>

---

From: "Fred Baker (fred)" <[email-masked]>
Date: Sat, 27 Dec 2014 03:25:04 +0000

> On Dec 26, 2014, at 5:27 PM, Jari Arkko <[email-masked]> wrote:
> 
> Which I think is the point - the proposed re-organisation is largely about the IESG becoming more flexible. We need that flexibility to tune our operations to the current topics today and in the future.
> 
> Also, there’s another question about what the proper workload is for an AD, and a third question about ways in which we can move more of the IESG work to WGs. Those are important questions, too, but we still need the flexibility to address topics as they grow and shrink.

Dumb question: Does our nomcom procedure restrict us too much?

What the nomcom does is select people to fill defined slots. While there is as much latitude as we like in what those slots are (at one point we merged Operations and Management to become O&M, and at one point we created RAI out of whole cloth), the fact is that we don’t change them too much. Do we need to give the IESG encouragement (I think it has the latitude it needs, but does it need encouragement?) to open up new areas as needed, and close areas that are being less effective?

I would encourage every AD to close a working group every year. On average, we do in fact close one for each one we open. Would closing more working groups help?

What would happen if we played 52 card pickup with 129 working groups - scattering their names on a 3D “table" and drawing spheres around the ones most closely related? Would we wind up with the divisions we have today?

---

From: "Black, David" <[email-masked]>
Date: Sat, 27 Dec 2014 04:31:58 +0000

Jari wrote:

> > Which I think is the point - the proposed re-organisation is largely about
> > the IESG becoming more flexible. We need that flexibility to tune our
> > operations to the current topics today and in the future.

I like this flexibility direction in general, both area restructure and moving
some WGs into other areas - I basically agree with Fred that some of our current
area structure and boundaries are probably "we've always done it that way"
artifacts, or as Fred wrote:

> What would happen if we played 52 card pickup with 129 working groups -
> scattering their names on a 3D "table" and drawing spheres around the ones
> most closely related? Would we wind up with the divisions we have today?

OTOH, I am concerned about NomCom AD slot descriptions - Jari made a
comment on the IETF list that appears to suggest that it's ok to toss the
"puzzle" of sufficient AD technical coverage of the proposed new large Area
into the NomCom's lap to sort out:

" I think the answer is that among the set of ADs covering the area, they
should be able to cover the technical topics in that area. Preferably with
some overlap. This isn't all that different from what has happened in the
past with big areas such as INT; no AD usually has the breadth to cover
everything alone, but together they can do a reasonable job. Putting the
puzzle together means some more work for the nomcom, however."
	(http://www.ietf.org/mail-archive/web/ietf/current/msg91051.html)

The breadth of the proposed new large area is stunning (much larger than
any existing area, including INT, IMHO).  By the time the next NomCom
figures out what the "puzzle" actually is, it could be rather late in the
process, making it difficult to sort things out effectively.

A good example is set by this year's OPS AD slot description:

https://datatracker.ietf.org/nomcom/2014/requirements/#Operations%20and%20Management%20Area%20Director

OPS has a Network Management AD and an Operations AD, and this year the
NomCom is looking for an Operations AD.

These slot descriptions have more than one audience - they not only guide the
NomCom on candidate selection, they also guide the community on putting forward
appropriate candidates, including helping potential candidates decide whether
to run.

The new area AD slot descriptions should have similar guidance, as few (if
any) candidates will have deep expertise that spans the scope of the entire
proposed area.

Thanks,
--David

> -----Original Message-----
> From: WGChairs [mailto:[email-masked]] On Behalf Of Fred Baker
> (fred)
> Sent: Friday, December 26, 2014 10:25 PM
> To: Jari Arkko
> Cc: [email-masked]
> Subject: Re: WGs/AD [IETF areas re-organisation steps]
> 
> 
> > Which I think is the point - the proposed re-organisation is largely about
> the IESG becoming more flexible. We need that flexibility to tune our
> operations to the current topics today and in the future.
> >
> > Also, there's another question about what the proper workload is for an AD,
> and a third question about ways in which we can move more of the IESG work to
> WGs. Those are important questions, too, but we still need the flexibility to
> address topics as they grow and shrink.
> 
> What the nomcom does is select people to fill defined slots. While there is as
> much latitude as we like in what those slots are (at one point we merged
> Operations and Management to become O&M, and at one point we created RAI out
> of whole cloth), the fact is that we don't change them too much. Do we need to
> give the IESG encouragement (I think it has the latitude it needs, but does it
> need encouragement?) to open up new areas as needed, and close areas that are
> being less effective?
> 
> I would encourage every AD to close a working group every year. On average, we
> do in fact close one for each one we open. Would closing more working groups
> help?
> 
> What would happen if we played 52 card pickup with 129 working groups -
> scattering their names on a 3D "table" and drawing spheres around the ones
> most closely related? Would we wind up with the divisions we have today?

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Fri, 26 Dec 2014 22:36:03 -0600

On Dec 26, 2014 9:25 PM, "Fred Baker (fred)" <[email-masked]> wrote:
> > Which I think is the point - the proposed re-organisation is largely
about the IESG becoming more flexible. We need that flexibility to tune our
operations to the current topics today and in the future.
> >
> > Also, there’s another question about what the proper workload is for an
AD, and a third question about ways in which we can move more of the IESG
work to WGs. Those are important questions, too, but we still need the
flexibility to address topics as they grow and shrink.
> Dumb question: Does our nomcom procedure restrict us too much?

Fred, you would likely remember better than I which past Nomcom chair said
it (I'm guessing Geoff Huston), but I'm remembering one of you asking why
IESG staffing decisions have to take more than six weeks (*) ...

So, I don't think that's a dumb question.

(*) It was one of the past Nomcom chairs on the design team Russ put
together that provided the raw material for
https://datatracker.ietf.org/doc/draft-dawkins-nomcom-3777-issues/

Spencer

> What the nomcom does is select people to fill defined slots. While there
is as much latitude as we like in what those slots are (at one point we
merged Operations and Management to become O&M, and at one point we created
RAI out of whole cloth), the fact is that we don’t change them too much. Do
we need to give the IESG encouragement (I think it has the latitude it
needs, but does it need encouragement?) to open up new areas as needed, and
close areas that are being less effective?
>
> I would encourage every AD to close a working group every year. On
average, we do in fact close one for each one we open. Would closing more
working groups help?
> What would happen if we played 52 card pickup with 129 working groups -
scattering their names on a 3D “table" and drawing spheres around the ones
most closely related? Would we wind up with the divisions we have today?

---

From: Loa Andersson <[email-masked]>
Date: Sat, 27 Dec 2014 13:36:29 +0800

Folks,

I've tried to read and re-read the this thread, some comments

- "the date"
   I'm pretty sure that Mr Zhang, Mr Popov and Ms Arabekova read the
   the mail from Jari without even raising an eyebrow because of the
   date. On the other hand I know that they won't be reading any mails
   January 7 and February 19 respectively.
   We all know that all of us have dates that are not well suited for
   us as indiviudals. I guess we have to learn to work across such days/
   periods, by allowing enough time for responses.

- "the areas"
   I think that we group working groups based on some "affinity" into
   areas. We appoint ADs because they have the competence to manage such
   an area.

- "the felxibility vs. structure"
   I think this is something we need to fine tune. Too much flexibility
   risk developing into chaos, too much structure can develop into a very
   rigid system; we need to blance close to an optimal point, enough
   flexibility and enough structure

Having said that, I don't feel that I have enough insight to comment on
all the proposals Jari makes; however I would like to support the
addition of a third routing AD.

/Loa

PS
What I really would like to see is a revival of the SUb-IP area, with
two ADs, not looking after any other area.
Thinking about it that might have been a good example of out-of-area
ADs!

-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert                          [email-masked]
Huawei Technologies (consultant)     phone: +46 739 81 21 64

---

From: "Fred Baker (fred)" <[email-masked]>
Date: Mon, 29 Dec 2014 01:26:15 +0000

> On Dec 26, 2014, at 8:31 PM, Black, David <[email-masked]> wrote:
> 

I'd be OK with the IESG colluding with the nomcom on it. Throwing the ball over the fence to a set of people chosen in large part because they have no idea of the intricacies seems a trifle awkward.

I'd frankly suggest some variant of my "52 card pickup" model over anything that could be described in terms of "throwing" something "over" a "wall". Let's start by asking what groupings are reasonable, and then ask what people might span those groups.